%define build_plf 0
%define release %mkrel 1
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Name:		soundkonverter
Summary:	A frontend to various audio converters
Version:	0.3.1
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://kaligames.de/?pid=downloads/soundkonverter/index.php
Source0:	http://kaligames.de/downloads/download.php?file=soundkonverter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop.patch
Requires(pre):	rpm-helper
Requires:	taglib
Requires:	vorbis-tools
Requires:	vorbisgain
Requires:	wavpack
Requires:	speex
Requires:	flac
Requires:	cdparanoia
Requires:	mppenc
BuildRequires:	kdelibs-devel
BuildRequires:	libcdda-devel
BuildRequires:	libtaglib-devel
%if %build_plf
BuildRequires:	libmpeg4ip-devel >= 1.2
Requires:	petit
Requires:	faac
Requires:	faad2
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
soundKonverter project is a frontend to various audio converters.
Currently supported backends are oggenc, oggdec, flac, lame, 
ffmpeg (partly), mplayer (partly).
With soundKonverter you can convert between various audio 
file formats. Supported formats are: (encode/decode)
   
ogg (e/d)
flac (e/d)
mp3 (e/d)
wav (e/d)
wma (d)
%if %build_plf
This package is in PLF as the MP4 support is violating patents.
%endif

%prep
%setup -q %{name}-%{version}
%patch0 -p0

%build
%configure2_5x \
    --disable-rpath \
    --enable-nmcheck \
    --enable-final \
    --enable-new-ldflags \
    --enable-pch \
    --with-pic \
    --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --bindir=%{_bindir} \
%if %build_plf
    --with-mp4v2
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif
   
%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/soundkonverter/soundkonverterui.rc
%dir %{_datadir}/doc/HTML/en/soundkonverter
%{_datadir}/doc/HTML/en/soundkonverter/*
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}_replaygain.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}_replaygain.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}_replaygain.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}_replaygain.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}_replaygain.png
%{_datadir}/apps/konqueror/servicemenus/audiocd_extract_with_soundkonverter.desktop
%{_datadir}/apps/soundkonverter/amarokscript/README
%attr(755,root,root) %{_datadir}/apps/soundkonverter/amarokscript/soundKonverter.rb
%{_datadir}/apps/soundkonverter/format_infos/*.xml
%dir %{_datadir}/apps/%{name}
%dir %{_datadir}/apps/%{name}/amarokscript
%dir %{_datadir}/apps/%{name}/format_infos
%dir %{_datadir}/apps/%{name}/pics
%dir %{_datadir}/apps/%{name}/plugins 	
%{_datadir}/apps/%{name}/pics/*.png
%{_datadir}/apps/%{name}/plugins/*.xml
%{_datadir}/mimelnk/application/x-la.desktop
%{_datadir}/mimelnk/application/x-ofc.desktop
%{_datadir}/mimelnk/application/x-ofr.desktop
%{_datadir}/mimelnk/application/x-ofs.desktop
%{_datadir}/mimelnk/application/x-shorten.desktop
%{_datadir}/mimelnk/audio/x-ape.desktop
%{_datadir}/mimelnk/audio/x-pac.desktop
%{_datadir}/mimelnk/audio/x-wavpack-correction.desktop
%{_datadir}/mimelnk/audio/x-wavpack.desktop
%{_datadir}/mimelnk/video/x-flv.desktop


%changelog
* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 114883
- new version
- drop patch 0 (merged upstream)
- correct url

* Thu Jan 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2007.1
+ Revision: 113477
- added patch 1, now soundkonverter should see all plugins and backends(Daniel Faust)
- reenable macros for configure and make
- onw missing directories

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2007.1
+ Revision: 112092
- add requires

* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2007.1
+ Revision: 109606
- do not use %%configure and %%make macros
- new version
- regenerate patch 0
- spec file clean

* Fri Dec 29 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.95-2mdv2007.1
+ Revision: 102628
- spec file clean
- add compile options

* Mon Dec 18 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.95-1mdv2007.1
+ Revision: 98722
- Import soundkonverter

